commit 7cacf5a576675109f3b081cbd436d1fbadad776d
Author: Tobias Burnus <tobias@codesourcery.com>
Date:   Tue Oct 6 11:49:34 2020 +0200

    configure: Fix in-tree building of GMP on BSD [PR97302]
    
    ChangeLog:
            PR target/97302
            * configure.ac: Only set with_gmp to /usr/local
            if not building in tree.
            * configure: Regenerate.
    (cherry picked from commit c0d0a722da8583f74a0c192041be2f379cf487c1)

diff --git a/configure.ac b/configure.ac
index c78d9cbea62..115db3f402a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1037,6 +1037,7 @@ case "${target}" in
     ;;
   *-*-freebsd*)
     if test "x$with_gmp" = x && test "x$with_gmp_dir" = x \
+	&& ! test -d ${srcdir}/gmp \
 	&& test -f /usr/local/include/gmp.h; then
       with_gmp=/usr/local
     fi

